Subject: bug#57161: 28.1.91; two column windows merge leaves 2nd column window showing

From: Stefan Kangas <[email-masked]>
Date: Sat, 13 Aug 2022 14:47:42 +0200

Lars Ingebrigtsen <[email-masked]> writes:

> I've never used this mode before, and I'm kinda flabbergasted that
> something as esoteric as this is bound to <f2> by default.

Esoteric is understating the case, but yes that keybinding should be
freed up (if nothing else, to avoid users accidentally activating
2C-mode).

> Anyway, I don't really see how the current <f2> 1 action makes much
> sense -- it merges the two buffers, but then keeps displaying the
> rightmost window, but extremely narrowly?  I'm not sure why that's
> useful.

It gets even worse: when you repeat <f2> 2 <f2> 1 <f2> 2, etc., you
start accumulating windows to the right.